#include <bits/stdc++.h>
using namespace std;

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n,l, res = 0;
    bool kraj = false;
    cin >> n >> l;
    for(int i = 0; i < n;i++){
        int x;
        cin >> x;
        if(!kraj){
            if(l < x) res++;
            else kraj = true;
        }
    }
    cout << (res == n ? -1 : res+1) << '\n';
}